package com.iformall.service.kw;


import com.github.pagehelper.PageInfo;
import com.iformall.domain.dto.KwMerchantMeterDataDto;
import com.iformall.domain.dto.KwMerchantMeterDto;
import com.iformall.domain.po.KwMerchantMeter;
import com.iformall.domain.vo.KwMerchantMeterDataVo;
import com.iformall.domain.vo.KwMerchantMeterVo;
import com.iformall.domain.vo.MerchantMeterVo;

import java.util.List;

public interface KwMerchantMeterService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<KwMerchantMeterVo> listVoAsPage(KwMerchantMeterDto record, Integer pageIndex, Integer pageSize);


    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    KwMerchantMeterVo getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(KwMerchantMeter record);


    /**
     * 根据实体查询分页列表
     *
     * @param record
     *
     * @return
     */
    List<KwMerchantMeterVo> findVoList(KwMerchantMeterDto record);
    List<KwMerchantMeterDataVo> findDataVoList(KwMerchantMeterDataDto record);

    int selectCount(KwMerchantMeter record);
    int unbind(Long meterId);
    int unbindBatch(Long merchantId);

    List<MerchantMeterVo> getMerchantMeter(String tenantId);


}